メインコンテンツへスキップ
POST
/
integrators
/
timeline
/
v3
/
events
イベントデータを送信(単一)
curl --request POST \
  --url https://api.hubapi.com/integrators/timeline/v3/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventTemplateId": "<string>",
  "id": "<string>",
  "tokens": {},
  "customObjectTypeId": "<string>",
  "domain": "<string>",
  "email": "<string>",
  "extraData": {},
  "objectId": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "utk": "<string>"
}
'
import requests

url = "https://api.hubapi.com/integrators/timeline/v3/events"

payload = {
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventTemplateId: '<string>',
id: '<string>',
tokens: {},
customObjectTypeId: '<string>',
domain: '<string>',
email: '<string>',
extraData: {},
objectId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
utk: '<string>'
})
};

fetch('https://api.hubapi.com/integrators/timeline/v3/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "eventTemplateId": "<string>",
  "id": "<string>",
  "objectType": "<string>",
  "tokens": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "customObjectTypeId": "<string>",
  "domain": "<string>",
  "email": "<string>",
  "extraData": {},
  "objectId": "<string>",
  "timelineIFrame": {
    "headerLabel": "<string>",
    "height": 123,
    "linkLabel": "<string>",
    "url": "<string>",
    "width": 123
  },
  "timestamp": "2023-11-07T05:31:56Z",
  "utk": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
eventTemplateId
string
必須

イベントテンプレートID。

id
string
必須

イベントのID。任意であり、渡さないことをお勧めします。省略すると、自動で作成されます。IDの任意の場所で「{{uuid}}」を使用して固有の文字列を生成し、確実に重複させないようにすることもできます。

tokens
object
必須

テンプレートトークンに関連付けられているトークンキーと値のコレクション。

customObjectTypeId
string
domain
string

イベントドメイン(UTKとペアになることが多い)。

email
string

コンタクト固有のイベントに使用されるEメールアドレス。既存のコンタクトの特定、新規作成、既存のコンタクトのEメールの変更に使用できます(「objectId」とペアになっている場合)。

extraData
object

テンプレートのMarkdownによって解釈可能な追加のイベント固有データ。

objectId
string

CRMオブジェクトID。コンタクト以外の全てのイベントに必要です(コンタクトの場合は、UTKまたはEメールを使用できます)。

timelineIFrame
object
timestamp
string<date-time>

イベントが発生した日時。渡されなかった場合、現在の時刻であると想定されます。イベントがCRMオブジェクトのタイムラインに表示される場所を決定するために使用されます。

utk
string

「utk」パラメーターを使用して、「usertoken」によってイベントをコンタクトに関連付けます。ユーザーのEメールアドレスは分からないが、Cookieにユーザーを特定するトークンが含まれている場合にお勧めします。

レスポンス

successful operation

eventTemplateId
string
必須

イベントテンプレートID。

id
string
必須

イベントのID。アプリやイベントテンプレートに対して固有である必要があります。異なるCRMオブジェクトに同じIDを使用すると、最後に処理したオブジェクトが残り、最初のオブジェクトにはレコードがなくなります。IDの任意の場所で「{{uuid}}」を使用して固有の文字列を生成し、確実に重複させないようにすることもできます。

objectType
string
必須

EventTemplateに関連付けられているObjectType。

tokens
object
必須

テンプレートトークンに関連付けられているトークンキーと値のコレクション。

createdAt
string<date-time>

使用されません。

customObjectTypeId
string
domain
string

イベントドメイン(UTKとペアになることが多い)。

email
string

コンタクト固有のイベントに使用されるEメールアドレス。既存のコンタクトの特定、新規作成、既存のコンタクトのEメールの変更に使用できます(「objectId」とペアになっている場合)。

extraData
object

テンプレートのMarkdownによって解釈可能な追加のイベント固有データ。

objectId
string

CRMオブジェクトID。コンタクト以外の全てのイベントに必要です(コンタクトの場合は、UTKまたはEメールを使用できます)。

timelineIFrame
object
timestamp
string<date-time>

イベントが発生した日時。渡されなかった場合、現在の時刻であると想定されます。イベントがCRMオブジェクトのタイムラインに表示される場所を決定するために使用されます。

utk
string

「utk」パラメーターを使用して、「usertoken」によってイベントをコンタクトに関連付けます。ユーザーのEメールアドレスは分からないが、Cookieにユーザーを特定するトークンが含まれている場合にお勧めします。

最終更新日 2026年4月10日